Get EvaluationForm by guid
1 min
GET
https://dev1.frontu.com//client/api/v2/evaluations/forms/{guid}
Path Parameters
- guidstringrequired
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonExampleExample with custom values
Responses
200
- object
- titlestring
- taskTypestring
- deletedboolean
- publishedstring
- requiredstring
- versionstring
- createdstring
- updatedstring
- guidstring
- questionsobject[]
- titlestring
- requiredstring
- orderIdstring
- guidstring
- criteriasobject[]
- titlestring
- customAnswerstring
- guidstring
404
curl
curl --request GET \
--url https://dev1.frontu.com//client/api/v2/evaluations/forms/{guid} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/evaluations/forms/{guid}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/evaluations/forms/{guid}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/evaluations/forms/{guid}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Returned when successful
{
"title": "",
"taskType": "",
"deleted": false,
"published": "",
"required": "",
"version": "",
"created": "",
"updated": "",
"guid": "",
"questions": [
{
"title": "",
"required": "",
"orderId": "",
"guid": "",
"criterias": [
{
"title": "",
"customAnswer": "",
"guid": ""
}
]
}
]
}404
// Entity not found